Module org.hsqldb
Package org.hsqldb.lib.tar

## Class DbBackupMain

- java.lang.Object
- - org.hsqldb.lib.tar.DbBackupMain

-     public class DbBackupMain
      extends java.lang.Object

  This class is used for offline backup of HyperSQL databases.

  See the database offline backup section of the HyperSQL User Guide

  Contains only the main method.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DbBackupMain()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] sa)` | Command line invocation to create, examine, or extract HSQLDB database backup tar archives.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DbBackupMain

          public DbBackupMain()

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] sa)
                           throws java.io.IOException,
                                  TarMalformatException

      Command line invocation to create, examine, or extract HSQLDB database backup tar archives.

      This class stores tar entries as relative files without specifying parent directories, in what is commonly referred to as tar bomb format. The set of files is small, with known extensions, and the potential inconvenience of messing up the user's current directory is more than compensated by making it easier for the user to restore to a new database URL location at a peer level to the original.

      Automatically calculates buffer sizes based on the largest component file (for "save" mode) or tar file size (for other modes).

      Run

               java -cp path/to/hsqldb.jar org.hsqldb.lib.tar.DbBackupMain

      for syntax help.
      Parameters:
        `sa` - The arguments
      Throws:
        `java.io.IOException` - on read-write error
        `TarMalformatException` - on tar file problems